SPI\_keepplan

|          SPI\_keepplan          |                        |                         |                  |                              |
|:-------------------------------:|------------------------|-------------------------|------------------|------------------------------|
|[Prev](spi-spi-cursor-close.html)|[Up](spi-interface.html)|47.1. Interface Functions|[Home](index.html)| [Next](spi-spi-saveplan.html)|

---

[]()

## SPI\_keepplan

SPI\_keepplan — save a prepared statement

## Synopsis

```
int SPI_keepplan(SPIPlanPtr plan)

```

## Description

`SPI_keepplan` saves a passed statement (prepared by `SPI_prepare`) so that it will not be freed by `SPI_finish` nor by the transaction manager. This gives you the ability to reuse prepared statements in the subsequent invocations of your C function in the current session.

## Arguments

`SPIPlanPtr *`plan`*`

 the prepared statement to be saved

## Return Value

 0 on success; `SPI_ERROR_ARGUMENT` if *`plan`* is `NULL` or invalid

## Notes

 The passed-in statement is relocated to permanent storage by means of pointer adjustment (no data copying is required). If you later wish to delete it, use `SPI_freeplan` on it.

---

|[Prev](spi-spi-cursor-close.html)|[Up](spi-interface.html)| [Next](spi-spi-saveplan.html)|
|:--------------------------------|:----------------------:|-----------------------------:|
|       SPI\_cursor\_close        |   [Home](index.html)   |         SPI\_saveplan        |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>